com.amazonaws.services.codebuild.model

## Class CreateProjectRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codebuild.model.CreateProjectRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateProjectRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateProjectRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateProjectRequest` `clone()`
`boolean` `equals(Object obj)`
`ProjectArtifacts` `getArtifacts()` Information about the build project's build output artifacts.
`String` `getDescription()` A meaningful description of the build project.
`String` `getEncryptionKey()` The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.
`ProjectEnvironment` `getEnvironment()` Information about the build project's build environment.
`String` `getName()` The build project's name.
`String` `getServiceRole()` The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.
`ProjectSource` `getSource()` Information about the build project's build input source code.
`List<Tag>` `getTags()` A set of tags for this build project.
`Integer` `getTimeoutInMinutes()` How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait until timing out any related build that does not get marked as completed.
`int` `hashCode()`
`void` `setArtifacts(ProjectArtifacts artifacts)` Information about the build project's build output artifacts.
`void` `setDescription(String description)` A meaningful description of the build project.
`void` `setEncryptionKey(String encryptionKey)` The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.
`void` `setEnvironment(ProjectEnvironment environment)` Information about the build project's build environment.
`void` `setName(String name)` The build project's name.
`void` `setServiceRole(String serviceRole)` The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.
`void` `setSource(ProjectSource source)` Information about the build project's build input source code.
`void` `setTags(Collection<Tag> tags)` A set of tags for this build project.
`void` `setTimeoutInMinutes(Integer timeoutInMinutes)` How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait until timing out any related build that does not get marked as completed.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateProjectRequest` `withArtifacts(ProjectArtifacts artifacts)` Information about the build project's build output artifacts.
`CreateProjectRequest` `withDescription(String description)` A meaningful description of the build project.
`CreateProjectRequest` `withEncryptionKey(String encryptionKey)` The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.
`CreateProjectRequest` `withEnvironment(ProjectEnvironment environment)` Information about the build project's build environment.
`CreateProjectRequest` `withName(String name)` The build project's name.
`CreateProjectRequest` `withServiceRole(String serviceRole)` The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.
`CreateProjectRequest` `withSource(ProjectSource source)` Information about the build project's build input source code.
`CreateProjectRequest` `withTags(Collection<Tag> tags)` A set of tags for this build project.
`CreateProjectRequest` `withTags(Tag... tags)` A set of tags for this build project.
`CreateProjectRequest` `withTimeoutInMinutes(Integer timeoutInMinutes)` How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait until timing out any related build that does not get marked as completed.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateProjectRequest

    public CreateProjectRequest()

### Method Detail

#### setName

    public void setName(String name)

The build project's name.

Parameters:
  `name` - The build project's name.

#### getName

    public String getName()

The build project's name.

Returns:
  The build project's name.

#### withName

    public CreateProjectRequest withName(String name)

The build project's name.

Parameters:
  `name` - The build project's name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

A meaningful description of the build project.

Parameters:
  `description` - A meaningful description of the build project.

#### getDescription

    public String getDescription()

A meaningful description of the build project.

Returns:
  A meaningful description of the build project.

#### withDescription

    public CreateProjectRequest withDescription(String description)

A meaningful description of the build project.

Parameters:
  `description` - A meaningful description of the build project.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSource

    public void setSource(ProjectSource source)

Information about the build project's build input source code.

Parameters:
  `source` - Information about the build project's build input source code.

#### getSource

    public ProjectSource getSource()

Information about the build project's build input source code.

Returns:
  Information about the build project's build input source code.

#### withSource

    public CreateProjectRequest withSource(ProjectSource source)

Information about the build project's build input source code.

Parameters:
  `source` - Information about the build project's build input source code.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setArtifacts

    public void setArtifacts(ProjectArtifacts artifacts)

Information about the build project's build output artifacts.

Parameters:
  `artifacts` - Information about the build project's build output artifacts.

#### getArtifacts

    public ProjectArtifacts getArtifacts()

Information about the build project's build output artifacts.

Returns:
  Information about the build project's build output artifacts.

#### withArtifacts

    public CreateProjectRequest withArtifacts(ProjectArtifacts artifacts)

Information about the build project's build output artifacts.

Parameters:
  `artifacts` - Information about the build project's build output artifacts.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEnvironment

    public void setEnvironment(ProjectEnvironment environment)

Information about the build project's build environment.

Parameters:
  `environment` - Information about the build project's build environment.

#### getEnvironment

    public ProjectEnvironment getEnvironment()

Information about the build project's build environment.

Returns:
  Information about the build project's build environment.

#### withEnvironment

    public CreateProjectRequest withEnvironment(ProjectEnvironment environment)

Information about the build project's build environment.

Parameters:
  `environment` - Information about the build project's build environment.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setServiceRole

    public void setServiceRole(String serviceRole)

The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

Parameters:
  `serviceRole` - The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

#### getServiceRole

    public String getServiceRole()

The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

Returns:
  The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

#### withServiceRole

    public CreateProjectRequest withServiceRole(String serviceRole)

The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

Parameters:
  `serviceRole` - The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTimeoutInMinutes

    public void setTimeoutInMinutes(Integer timeoutInMinutes)

How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait until timing out any related build that does not get marked as completed. The default is 60 minutes.

Parameters:
  `timeoutInMinutes` - How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait until timing out any related build that does not get marked as completed. The default is 60 minutes.

#### getTimeoutInMinutes

    public Integer getTimeoutInMinutes()

How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait until timing out any related build that does not get marked as completed. The default is 60 minutes.

Returns:
  How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait until timing out any related build that does not get marked as completed. The default is 60 minutes.

#### withTimeoutInMinutes

    public CreateProjectRequest withTimeoutInMinutes(Integer timeoutInMinutes)

How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait until timing out any related build that does not get marked as completed. The default is 60 minutes.

Parameters:
  `timeoutInMinutes` - How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait until timing out any related build that does not get marked as completed. The default is 60 minutes.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEncryptionKey

    public void setEncryptionKey(String encryptionKey)

The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

You can specify either the CMK's Amazon Resource Name (ARN) or, if available, the CMK's alias (using the format `alias/alias-name` ).

Parameters:
  `encryptionKey` - The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

  You can specify either the CMK's Amazon Resource Name (ARN) or, if available, the CMK's alias (using the format `alias/alias-name` ).

#### getEncryptionKey

    public String getEncryptionKey()

The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

You can specify either the CMK's Amazon Resource Name (ARN) or, if available, the CMK's alias (using the format `alias/alias-name` ).

Returns:
  The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

  You can specify either the CMK's Amazon Resource Name (ARN) or, if available, the CMK's alias (using the format `alias/alias-name` ).

#### withEncryptionKey

    public CreateProjectRequest withEncryptionKey(String encryptionKey)

The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

You can specify either the CMK's Amazon Resource Name (ARN) or, if available, the CMK's alias (using the format `alias/alias-name` ).

Parameters:
  `encryptionKey` - The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

  You can specify either the CMK's Amazon Resource Name (ARN) or, if available, the CMK's alias (using the format `alias/alias-name` ).

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTags

    public List<Tag> getTags()

A set of tags for this build project.

These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Returns:
  A set of tags for this build project.

  These tags are available for use by AWS services that support AWS CodeBuild build project tags.

#### setTags

    public void setTags(Collection<Tag> tags)

A set of tags for this build project.

These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Parameters:
  `tags` - A set of tags for this build project.

  These tags are available for use by AWS services that support AWS CodeBuild build project tags.

#### withTags

    public CreateProjectRequest withTags(Tag... tags)

A set of tags for this build project.

These tags are available for use by AWS services that support AWS CodeBuild build project tags.

NOTE: This method appends the values to the existing list (if any). Use `setTags(java.util.Collection)` or `withTags(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tags` - A set of tags for this build project.

  These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTags

    public CreateProjectRequest withTags(Collection<Tag> tags)

A set of tags for this build project.

These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Parameters:
  `tags` - A set of tags for this build project.

  These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateProjectRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`